curl --location --request DELETE 'https://api.stateset.com/v1/warranty' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "w_1NXWPnCo6bFb1KQto6C8OWvE"
}'
mutation deleteWarranty ($id: String!) {
delete_warranties(where: {id: {_eq: $id}}) {
affected_rows
}
}
const deleted = await stateset.warranty.del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
);
deleted = stateset.warranty.del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
)
deleted = Stateset::Warranty.del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
)
$deleted = $stateset->warranty->del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
);
Warranty, err := stateset.Warranty.Delete(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
)
Warranty warranties = stateset.warranties.del(
"0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
);
{
"id": "w_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "warranty",
"deleted": true
}
Delete Warranty
This endpoint deletes an existing warranty.
DELETE
/
v1
/
warranty
curl --location --request DELETE 'https://api.stateset.com/v1/warranty' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "w_1NXWPnCo6bFb1KQto6C8OWvE"
}'
mutation deleteWarranty ($id: String!) {
delete_warranties(where: {id: {_eq: $id}}) {
affected_rows
}
}
const deleted = await stateset.warranty.del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
);
deleted = stateset.warranty.del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
)
deleted = Stateset::Warranty.del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
)
$deleted = $stateset->warranty->del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
);
Warranty, err := stateset.Warranty.Delete(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
)
Warranty warranties = stateset.warranties.del(
"0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
);
{
"id": "w_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "warranty",
"deleted": true
}
Body
The ID provided in the data tab may be used to identify the warranty
Response
The ID provided in the data tab may be used to identify the warranty
The object type
Indicates whether the call was successful. 1 if successful, 0 if not.
curl --location --request DELETE 'https://api.stateset.com/v1/warranty' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "w_1NXWPnCo6bFb1KQto6C8OWvE"
}'
mutation deleteWarranty ($id: String!) {
delete_warranties(where: {id: {_eq: $id}}) {
affected_rows
}
}
const deleted = await stateset.warranty.del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
);
deleted = stateset.warranty.del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
)
deleted = Stateset::Warranty.del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
)
$deleted = $stateset->warranty->del(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
);
Warranty, err := stateset.Warranty.Delete(
'w_1NXWPnCo6bFb1KQto6C8OWvE'
)
Warranty warranties = stateset.warranties.del(
"0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
);
{
"id": "w_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "warranty",
"deleted": true
}
โI